By garibaldi2510
#381
Buenos días, me presento en este foro como nuevo y espero poder corresponder como este foro se merece. El problema que tengo con los sims 4 desde la ultima actualización tanto de la EA como de MCC 4.4.5 Hotfix es este last exception que sale constantemente, espero que me podáis decirme a que se debe. Un saludo.

<?xml version="1.0" ?><root>
<report><version>2</version><sessionid>7621312289e288ee5b44e8b0</sessionid><type>desync</type><sku>ea.maxis.sims4_64.15.pc</sku><createtime>2018-07-10 19:18:01</createtime><buildsignature>Local.Unknown.Unknown.1.44.83.1020-1.200.000.350.Release</buildsignature><categoryid>posture_manifest.py:690</categoryid><desyncid>7621312289e288ee5b44e8b0</desyncid><systemconfig/><screenshot/><desyncdata>[rez] Posture graph threw an exception while being queried by autonomy: (AttributeError: 'UnsetType' object has no attribute 'family_name')&#13;&#10;Traceback (most recent call last):&#13;&#10;Caught and logged:&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\sims4\utils.py", line 179, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\areaserver.py", line 205, in c_api_server_tick&#13;&#10; File ".\WickedWhims 3.3.4.129g\turbolib\injector_util.py", line 15, in _wrapped_function&#13;&#10; File ".\WickedWhims 3.3.4.129g\turbolib\events\core_tick.py", line 102, in _turbolib_zone_game_update&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\zone.py", line 464, in update&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\time_service.py", line 112, in update&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\scheduling.py", line 217, in simulate&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\elements.py", line 385, in _resume&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 496, in _process_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_service.py", line 433, in _update_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 251, in run_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1386, in _run_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1800, in _score_object_interactions_gen&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1891, in _create_and_score_interaction&#13;&#10; File ".\WickedWhims 3.3.4.129g\turbolib\injector_util.py", line 15, in _wrapped_function&#13;&#10; File ".\WickedWhims 3.3.4.129g\turbolib\special\exception_watcher.py", line 16, in _turbolib_on_exception_log&#13;&#10; File ".\mc_utils.py", line 115, in _wrapper_function&#13;&#10; File ".\mc_injections.py", line 777, in inject_last_exception_log&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 144, in wrapper&#13;&#10;KeyError: (Constraint(...), _TunableAffordanceFilterWrapper._filter, False, &lt;sim '' 0x82607b721d337a9&gt;, frozenset({&lt;sim '' 0x82607b721d337a9&gt;}), frozenset({(&lt;SI tv-watch-romance id:11 sim:&gt;, &lt;bound method tv-watch-romance.is_guaranteed of &lt;SI tv-watch-romance id:11 sim:&gt;&gt;), (&lt;SI sim-stand id:13 sim:&gt;, &lt;bound method sim-stand.is_guaranteed of &lt;SI sim-stand id:13 sim:&gt;&gt;)}))&#13;&#10;&#13;&#10;During handling of the above exception, another exception occurred:&#13;&#10;&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 144, in wrapper&#13;&#10;KeyError: (ConstraintSet(...), Constraint(...))&#13;&#10;&#13;&#10;During handling of the above exception, another exception occurred:&#13;&#10;&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 144, in wrapper&#13;&#10;KeyError: (Constraint(...), Constraint(...))&#13;&#10;&#13;&#10;During handling of the above exception, another exception occurred:&#13;&#10;&#13;&#10;Traceback (most recent call last):&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1888, in _create_and_score_interaction&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\autonomy\autonomy_modes.py", line 1028, in _calculate_route_time_and_opportunity&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 156, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2438, in estimate_distance&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2478, in _estimate_distance&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\base\super_interaction.py", line 2357, in _generate_connectivity&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 1457, in compute_transition_connectivity&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 1504, in run_transitions&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3348, in _build_transitions&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3139, in _build_and_log_transitions_for_sim&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 3201, in _build_transitions_for_sim&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2679, in get_transitions_for_sim&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2738, in _get_transitions_for_sim&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\postures\transition_sequence.py", line 2195, in _get_constraint_for_interaction&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\si_state.py", line 876, in get_best_constraint_and_sources&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\si_state.py", line 819, in get_combined_constraint&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 156, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1145, in intersect&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 2330, in _intersect&#13;&#10; File "T:\InGame\Gameplay\Scripts\Core\caches.py", line 156, in wrapper&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1145, in intersect&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1386, in _intersect&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1240, in _intersect_kwargs&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\interactions\constraints.py", line 1202, in intersect_posture_spec&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\postures\posture_state_spec.py", line 389, in intersection&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\postures\posture_state_spec.py", line 383, in _intersect_attr_len&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\postures\posture_state_spec.py", line 401, in _resolve_unequal_manifest&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\animation\posture_manifest.py", line 216, in intersection&#13;&#10; File "T:\InGame\Gameplay\Scripts\Server\animation\posture_manifest.py", line 690, in intersect&#13;&#10;AttributeError: 'UnsetType' object has no attribute 'family_name'&#13;&#10;</desyncdata></report>
</root>
Avatar de Usuario
By Nayec
#382
Hola, ante todo bienvenido al foro!! :D

Respecto al problema que tienes, puede que el MCC necesite algún retoque tras el parche de ayer, como bien sabrás siempre ocurren este tipo de cosas tras una actualización del juego y hay que esperar que los creadores actualicen los mods o cc.

Éstate atento a la web donde se avisará de la nueva versión del MCC cuando esté disponible.
http://simsguru.com/category/mods-sims-4/

De todas formas Tracas te sabrá ayudar mejor con MCC que lo utiliza, yo no uso mods.

;)
Avatar de Usuario
By Tracas
#384
Bienvenido!
Lo que veo es que debes tener alguna animación desactualizada del WW, ¿podria ser una animación desactualizada?
Ya lo siento pero WW es un mod que no uso junto con mccc.
Saludos

¿Aún no tienes Los Sims 4 o te falta alguna de sus expansiones?